package com.mortals.xhx.queue;

/**
 * 队列消息生产者
 *
 * @author: zxfei
 * @date: 2021/11/22 10:55
 */
public interface TbQueueProducer<T extends TbQueueMsg> {

    void init();

    String getDefaultTopic();

    //发送消息
    void send(TopicPartitionInfo tpi, T msg, TbQueueCallback callback);

    void stop();

    void queueDeclare(TopicPartitionInfo tpi, TbQueueCallback callback);

    void queueDel(String queue, TbQueueCallback callback);

}
